Summary:	A lightweight dhcp and caching nameserver
Name:		dnsmasq
Version:	2.61
Release:	1
License:	GPLv2 or GPLv3
Group:		System/Servers
URL:		http://www.thekelleys.org.uk/dnsmasq
Conflicts:	bind
Source0:	http://www.thekelleys.org.uk/dnsmasq/%{name}-%{version}.tar.lzma
BuildRequires:	dbus-devel
Source1:	dnsmasq.sysconfig
Source2:	dnsmasq.init
Requires:	%{name}-base = %{version}-%{release}
Requires(preun):	rpm-helper
Requires(post):	rpm-helper

%description
Dnsmasq is lightweight, easy to configure DNS forwarder and DHCP server. It
is designed to provide DNS and, optionally, DHCP, to a small network. It can
serve the names of local machines which are not in the global DNS. The DHCP
server integrates with the DNS server and allows machines with DHCP-allocated
addresses to appear in the DNS with names configured either in each host or
in a central configuration file. Dnsmasq supports static and dynamic DHCP
leases and BOOTP for network booting of diskless machines.

%package	base
Summary:	A lightweight dhcp and caching nameserver - base files without init scripts
Group:		Networking/Remote access
Conflicts:	dnsmasq < 2.45-2mdv

%description	base
Dnsmasq is lightweight, easy to configure DNS forwarder and DHCP server. It
is designed to provide DNS and, optionally, DHCP, to a small network. It can
serve the names of local machines which are not in the global DNS. The DHCP
server integrates with the DNS server and allows machines with DHCP-allocated
addresses to appear in the DNS with names configured either in each host or
in a central configuration file. Dnsmasq supports static and dynamic DHCP
leases and BOOTP for network booting of diskless machines.

This package contains the base files of the Dnsmasq server, without the init
scripts and global configuration files.

%prep
%setup -q

%build
#(tpg) enable dbus support
sed -i 's|/\* #define HAVE_DBUS \*/|#define HAVE_DBUS|g' src/config.h

%serverbuild
%make

%install
%__install -m755 %{SOURCE2} -D %{buildroot}%{_initrddir}/%{name}
%__install -m644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%__install -m644 dnsmasq.conf.example -D %{buildroot}%{_sysconfdir}/dnsmasq.conf
%__install -m755 -D src/dnsmasq %{buildroot}%{_sbindir}/dnsmasq
%__install -m644 man/dnsmasq.8 -D %{buildroot}%{_mandir}/man8/dnsmasq.8

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(-,root,root)
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/dnsmasq.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}

%files base
%doc CHANGELOG FAQ doc.html setup.html
%{_sbindir}/%{name}
%doc %{_mandir}/man8/%{name}*


%changelog
* Wed May 02 2012 Alexander Khrukin <akhrukin@mandriva.org> 2.61-1
+ Revision: 795129
- version update 2.6.1

* Thu Mar 08 2012 Alexander Khrukin <akhrukin@mandriva.org> 2.60-1
+ Revision: 783417
- version update 2.60

* Tue Nov 08 2011 Andrey Bondrov <abondrov@mandriva.org> 2.59-1
+ Revision: 729049
- New version 2.59

* Fri Oct 07 2011 Andrey Bondrov <abondrov@mandriva.org> 2.58-1
+ Revision: 703437
- New version: 2.58

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 2.57-2
+ Revision: 663787
- mass rebuild

* Sat Apr 02 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 2.57-1
+ Revision: 649835
- update to new version 2.57

* Sat Jul 31 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.55-1mdv2011.0
+ Revision: 563974
- update to new version 2.55
- pass %%sererbuild macro
- enable D-BUS support

* Sat Jan 23 2010 Frederik Himpe <fhimpe@mandriva.org> 2.52-1mdv2010.1
+ Revision: 495153
- update to new version 2.52

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 2.51-1mdv2010.1
+ Revision: 462597
- update to new version 2.51

* Mon Aug 31 2009 Frederik Himpe <fhimpe@mandriva.org> 2.50-1mdv2010.0
+ Revision: 423031
- update to new version 2.50

* Thu Jun 11 2009 Frederik Himpe <fhimpe@mandriva.org> 2.49-1mdv2010.0
+ Revision: 385166
- update to new version 2.49

* Fri Jun 05 2009 Frederik Himpe <fhimpe@mandriva.org> 2.48-1mdv2010.0
+ Revision: 383119
- update to new version 2.48

* Fri Feb 06 2009 Frederik Himpe <fhimpe@mandriva.org> 2.47-1mdv2009.1
+ Revision: 338234
- update to new version 2.47

* Fri Nov 14 2008 Frederik Himpe <fhimpe@mandriva.org> 2.46-1mdv2009.1
+ Revision: 303385
- update to new version 2.46

* Sun Oct 26 2008 Frederik Himpe <fhimpe@mandriva.org> 2.45-2mdv2009.1
+ Revision: 297520
- Create a subpackage dnsmasq-base which only contains the dnsmasq
  executable itself, without the init script and configuration files.
  This is used by the libvirt utilities to set up NAT networking
  for virtual machines.

* Mon Jul 21 2008 Michael Scherer <misc@mandriva.org> 2.45-1mdv2009.0
+ Revision: 239248
- update to new version 2.45

* Sat Jul 12 2008 Michael Scherer <misc@mandriva.org> 2.43-1mdv2009.0
+ Revision: 234004
- update to new version 2.43

* Sat Jun 14 2008 Jérôme Soyer <saispo@mandriva.org> 2.42-1mdv2009.0
+ Revision: 219150
- New release 2.42

* Fri Feb 15 2008 Michael Scherer <misc@mandriva.org> 2.41-2mdv2008.1
+ Revision: 168873
- fix bug #32645 by providing $named facility in lsb header
- add init info

* Wed Feb 13 2008 Michael Scherer <misc@mandriva.org> 2.41-1mdv2008.1
+ Revision: 167005
- update to 2.41
- revert to upstream archive compression

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 02 2007 Olivier Blin <blino@mandriva.org> 2.39-1mdv2008.0
+ Revision: 58036
- 2.39

